Bug 199403 - EPS pictures in MS Word document print as a bitmap
EPS pictures in MS Word document print as a bitmap
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-19 07:24 EDT by Paul Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 08:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
doc file (31.00 KB, application/msword)
2006-07-19 08:09 EDT, Paul Smith
no flags Details
PS file (45.82 KB, application/postscript)
2006-07-19 08:10 EDT, Paul Smith
no flags Details
PDF file (20.08 KB, application/pdf)
2006-07-19 08:11 EDT, Paul Smith
no flags Details
the picture as stored in the .doc (36.19 KB, application/octet-stream)
2006-07-20 08:01 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 67608 None None None Never

  None (edit)
Description Paul Smith 2006-07-19 07:24:44 EDT
When opening a MS Word document in OOo 2.0.2, the EPS pictures included print as
a bitmap and not as vectorial ones.
Comment 1 Caolan McNamara 2006-07-19 07:33:02 EDT
Actually "printed" as a bitmap, or are displayed on screen as a bitmap ? 

Check with print to file and evince on the ps output, this is possibly a well
known problem where the preview inside the eps is used for on-screen, or if not
then fallback programs generate one instead.
Comment 2 Paul Smith 2006-07-19 08:09:35 EDT
Created attachment 132674 [details]
doc file
Comment 3 Paul Smith 2006-07-19 08:10:25 EDT
Created attachment 132675 [details]
PS file
Comment 4 Paul Smith 2006-07-19 08:11:03 EDT
Created attachment 132676 [details]
PDF file
Comment 5 Paul Smith 2006-07-19 08:12:20 EDT
Actually "printed" as a bitmap. I am attaching a file with a document exhibiting
the bug. I have also attached a ps file resulting from a "print to file" and
also a pdf file produced by "export as pdf" (inside OpenOffice). Please, be
aware that you need to increase the zoom factor several times to see that the
figure is a bitmap.
Comment 6 Caolan McNamara 2006-07-20 08:01:59 EDT
Created attachment 132741 [details]
the picture as stored in the .doc

So, word stored the eps as a wmf with embedded EPS info inside the wmf. OOo
only knows about the wmf wrapper and just renders and exports this poorer
quality wmf. It doesn't know about the extra EPS info kludged into the wmf
Comment 7 Caolan McNamara 2006-07-20 08:07:46 EDT
Now logged as: http://www.openoffice.org/issues/show_bug.cgi?id=67608 
What we should try and do is when importing a wmf check to see if it has
embedded eps information, and instead import the eps if there is, and throw away
the wmf wrapper, except for using it as a preview image if none exists in the
eps proper.

Note You need to log in before you can comment on or make changes to this bug.